Last Comment Bug 695325 - netError.dtd should use &brandShortName;
: netError.dtd should use &brandShortName;
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 451250
  Show dependency treegraph
 
Reported: 2011-10-18 07:33 PDT by neil@parkwaycc.co.uk
Modified: 2011-10-24 04:18 PDT (History)
7 users (show)
jruderman: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch (1.18 KB, patch)
2011-10-18 07:35 PDT, neil@parkwaycc.co.uk
gavin.sharp: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2011-10-18 07:33:40 PDT
When I wrote the patch that ended up in bug 451250 the core version of netError.dtd didn't use branding and obviously neither version of the relevant properties file used branding but I overlooked Firefox's override file does in fact use branding and I erroneously hardcoded Firefox in to the file.
Comment 1 neil@parkwaycc.co.uk 2011-10-18 07:35:53 PDT
Created attachment 567744 [details] [diff] [review]
Proposed patch
Comment 2 neil@parkwaycc.co.uk 2011-10-19 01:21:18 PDT
Pushed changeset 779adaa83feb to mozilla-central.
Comment 3 Jesse Ruderman 2011-10-20 22:37:02 PDT
Filed bug 696323 for catching this kind of bug automatically.
Comment 4 Francesco Lodolo [:flod] - OFFLINE Jun 26-Jul 3 2011-10-20 23:19:49 PDT
As usual changing a string substantially without changing its key is not the right way to go (even if in this case the missing variable should be caught by compare-locales).
Comment 5 Francesco Lodolo [:flod] - OFFLINE Jun 26-Jul 3 2011-10-20 23:27:14 PDT
(In reply to flod (Francesco Lodolo) from comment #4)
> (even if in this case the missing variable should be caught by compare-locales).
And I'm probably wrong on this one (catches missing variables but not missing entities?)
https://l10n-stage-sj.mozilla.org/dashboard/compare?run=168392
Comment 6 Axel Hecht [:Pike] 2011-10-21 01:44:25 PDT
I'm torn on the key change here, I'd rather go for not doing that.

As for the compare-locales check, right now, it only warns if the localization uses a variable that's not in en-US, not the other way around. Happy to see an experiment by someone.
Comment 7 neil@parkwaycc.co.uk 2011-10-21 02:23:41 PDT
(In reply to Axel Hecht from comment #6)
> I'm torn on the key change here, I'd rather go for not doing that.
I should post to .l10n though, if only I could remember which of my various profiles is subscribed to it...
Comment 8 Francesco Lodolo [:flod] - OFFLINE Jun 26-Jul 3 2011-10-21 02:25:28 PDT
(In reply to neil@parkwaycc.co.uk from comment #7)
> I should post to .l10n though, if only I could remember which of my various
> profiles is subscribed to it...

If you need I can do that on dev.l10n (and we can close this bug again).
Comment 9 Dão Gottwald [:dao] 2011-10-24 03:09:29 PDT
(In reply to flod (Francesco Lodolo) from comment #8)
> (In reply to neil@parkwaycc.co.uk from comment #7)
> > I should post to .l10n though, if only I could remember which of my various
> > profiles is subscribed to it...
> 
> If you need I can do that on dev.l10n (and we can close this bug again).

Please do so. Thanks!
Comment 10 neil@parkwaycc.co.uk 2011-10-24 04:18:10 PDT
(In reply to Dão Gottwald from comment #9)
> (In reply to Francesco Lodolo from comment #8)
> > (In reply to comment #7)
> > > I should post to .l10n though, if only I could remember which of my various
> > > profiles is subscribed to it...
> > If you need I can do that on dev.l10n (and we can close this bug again).
> Please do so. Thanks!
No need, I already did.

Note You need to log in before you can comment on or make changes to this bug.